Vla-get-count

提供:GizmoLabs - だいたい CAD LISP なサイト
構文
(vla-get-count vla-object)


機能
オブジェクト内の要素の数を取得する。


引数
  • vla-object … VLAオブジェクト(すべてのコレクション、Block、Dictionary、Group、Materials、SectionManager、SelectionSet)


戻り値
オブジェクト内の要素の数。


サンプル
(vl-load-com)
(defun c:Example_Count()
    ;;オブジェクトのコレクションを取得して表示するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    (alert (strcat "この図面には " (itoa (vla-get-Count (vla-get-Layers doc))) " 個の画層があります"))
    (alert (strcat "この図面には " (itoa (vla-get-Count (vla-get-ModelSpace doc))) " 個の図形がモデルスペースにあります。"))

    (setq I 0
	  objCount (vla-get-Count (vla-get-ModelSpace doc)))
    
    (while (>= (- objCount 1) I)
        (setq mspaceObj (vla-Item (vla-get-ModelSpace doc) I)
	      I (1+ I))
        (alert (strcat "モデルスペース内の図形は : " (vla-get-ObjectName mspaceObj)))
    )
)


関連事項